Open SCAP Library

Public Member Functions | Data Fields
sce_session Struct Reference

## Public Member Functions
struct sce_session * | sce_session_new (void)
void | sce_session_free (struct sce_session *s)
void | sce_session_reset (struct sce_session *s)
| Removes all check results from the session.
void | sce_session_add_check_result (struct sce_session *s, struct sce_check_result *result)
| Adds a check result to the session. More...
void | sce_session_export_to_directory (struct sce_session *s, const char *directory)
| Exports all check results to given directory.

## Data Fields
struct oscap_list * | results

## Member Function Documentation

## ◆ sce_session_add_check_result()

void sce_session_add_check_result | ( | struct sce_session * | s,
|  | struct sce_check_result * | result
| ) |  |

Adds a check result to the session.

Parameters

  s | session to add the check result to
  result | result to be added (the session takes ownership of it, don't deallocate it!)

The documentation for this struct was generated from the following files:

- sce_engine.c
- sce_engine_api.h